# GimpUi.ScaleEntry

    const GimpUi = imports.gi.GimpUi;

    let scaleEntry = new GimpUi.ScaleEntry();

This widget is a Gtk.Grid showing a Gtk.SpinButton and a Gtk.Scale bound together. It also displays a Gtk.Label which is used as mnemonic on the Gtk.SpinButton.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Grid
          - GimpUi.Labeled
            - GimpUi.LabelSpin
              - GimpUi.ScaleEntry

## Constructors

- GimpUi.ScaleEntry.new

## Methods

- GimpUi.ScaleEntry.prototype.get_logarithmic
- GimpUi.ScaleEntry.prototype.get_range
- GimpUi.ScaleEntry.prototype.set_bounds
- GimpUi.ScaleEntry.prototype.set_logarithmic